﻿
//====================================================
// Описание работы классов и методов исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
// Автор исходных кодов Клочков Павел
//====================================================


namespace WinFormsTicTacToe.GameClasses
{
    /// <summary>
    /// Класс рисования фигурок на игровом поле
    /// </summary>
    internal class Figures
    {
        // Фигура не определена.
        public int type = 0;

        public void Draw(Graphics g, Point p, int w, Brush color)
        {
            // Рисуем крестик
            if (type == 1)
            {
                int d = w / 4;

                Point pStart1 = new(p.X - d, p.Y - d);
                Point pEnd1 = new(p.X + d, p.Y + d);
                g.DrawLine(new Pen(color, 2), pStart1, pEnd1);

                Point pStart2 = new(p.X + d, p.Y - d);
                Point pEnd2 = new(p.X - d, p.Y + d);
                g.DrawLine(new Pen(color, 2), pStart2, pEnd2);
            }

            // Рисуем нолик
            if (type == 2)
            {
                int d = w / 2;
                Point pOrigin = new(p.X - d / 2, p.Y - d / 2);
                Rectangle rc = new(pOrigin, new Size(d, d));
                g.DrawEllipse(new Pen(color, 2), rc);
            }
        }
    }
}
