﻿
//====================================================
// Описание работы классов и методов исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
// Автор исходных кодов Клочков Павел
//====================================================

namespace WinFormsTicTacToe.GameClasses
{
    internal class Constants
    {
        // Цвета активного состояния игрового поля.
        public static readonly Brush rcBrush = Brushes.Maroon;
        public static readonly Brush cellsBrush = Brushes.Yellow;

        // Цвет линии обозначающей полное заполнение одинаковыми фигурами.
        public static readonly Brush lineBrush = new SolidBrush(Color.FromArgb(90, 255, 255, 255));

        // Цвета неактивного состояния поля игры.
        public static readonly Brush rcBrushDeactive = Brushes.Gray;
        public static readonly Brush cellsBrushDeactive = Brushes.White;

    }
}
